Subject: Re: cygstart foo.pdf results in 'AcroRd32.exe has generated errors'
From: "Paul G." <[email-masked]>
To: [email-masked]
Date: Mon, 02 Dec 2002 19:35:38 -0800

I am inclined to believe it is AcroRd induced.

Even so, if I use the Cygwin command prompt (bash/rxvt), and manually navigate to the 
appropriate directory, AcroRd32.exe launches just fine with "start" (NT4).  So, if your 
program is setting the working directory correctly (pwd), then it should be starting 
AcroRd32.exe without a problem.

	Cygstart ($cygstart ...) works as well.  Assuming, of course, you are actually in the pwd 
that includes acrord32.exe.

uname -a:  CYGWIN_NT-4.0 TALIESIN 1.3.17(0.67/3/2) 2002-11-27 18:54 i686 unknown

	Paul G.

> On 2-12-2002 23:57, Charles Wilson wrote:
> > Andre Srinivasan wrote:
> > 
> >> I noticed sometime in August or September that I could no longer
> >> invoke acroreader (v5.0.5) via cygstart or directly from AcroRd32
> >> if I wanted to view a document.  If I do invoke either, I get a Dr.
> >> Watson (which I've appended).  On the otherhand, if I invoke IE and
> >> pass it the file to open, acroread starts fine within IE.
> >>
> >> I've appended the drwtsn32 file. 
> >> Thanks.
> > 
> > 
> > The following works for me
> > (cygwin kernel version 1.3.17-1, W2k, Acroread 5.0.1 3/27/2001) $
> > uname -a CYGWIN_NT-5.0 KHELDAR 1.3.17(0.67/3/2) 2002-11-27 18:54
> > i686 unknown
> > 
> > ---- in ~/.bashrc (ignore stupid mailer-induced linewrap) ----
> > function pdfv ()
> > {
> >     cygstart /d/Program\ Files/Adobe/Acrobat\
> >     5.0/Reader/AcroRd32.exe 
> > \"`cygpath -w -a $1`\" &
> > }
> 
> What's wrong with just
> 
>  $ cygstart whatever.pdf
> 
> ?  ;-)
> 
> > 
> > BTW, I don't see anything in your drwatson dump that implicates
> > cygstart.  Everything on the stack seems to be inside windows DLLs.
> > Any comments, Michael?
> >   ( Michael Schaap   cygwin_start AT mscha DOT org )
> 
> Oh, wait, that's me!  ;-)
> 
> I'm pretty sure that it's not cygstart related.  Cygstart doesn't
> really do anything except tell Windows to start a program or open a
> file.
> 
> One difference between starting a program from Cygwin and from
> Explorer, is the environment, most notably the $PATH.  This might
> cause different DLLs to be found.
> 
> Anyway, Andre also has problems when starting the reader directly, I
> assume from the start menu (i.e. Explorer).  So, it seems that this is
> not a Cygwin problem at all.
> 
> That makes this problem off-topic for this mailing list :-) , but I
> would try the following standard Microsoft troubleshooting steps:
>   1. Reboot, and see if the problem goes away
>   2. Uninstall and re-install Acrobat Reader, and see if it goes away
> 
> HTH,
> 
>   - Michael
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/